# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`simp_grub`](#simp_grub): Manage common GRUB attributes

## Classes

### <a name="simp_grub"></a>`simp_grub`

Advanced configuration will need to use the `augeasproviders_grub` components
directly.

#### Parameters

The following parameters are available in the `simp_grub` class:

* [`password`](#-simp_grub--password)
* [`admin`](#-simp_grub--admin)
* [`purge_unmanaged_users`](#-simp_grub--purge_unmanaged_users)
* [`report_unmanaged_users`](#-simp_grub--report_unmanaged_users)
* [`hash_rounds`](#-simp_grub--hash_rounds)

##### <a name="-simp_grub--password"></a>`password`

Data type: `String[1]`

The GRUB administrative password, if not in the hashed form, will be
converted for you.

* GRUB2
  * If a password is in PBKDF2 form, then it is assumed to be encrypted.
* Legacy GRUB
  * If a password starts with '$1$', '$5$', or '$6$' then it is assumed to be
    encrypted.

##### <a name="-simp_grub--admin"></a>`admin`

Data type: `Optional[String[1]]`

The administrative username GRUB 2 systems.

Default value: `undef`

##### <a name="-simp_grub--purge_unmanaged_users"></a>`purge_unmanaged_users`

Data type: `Optional[Boolean]`

Remove users from GRUB 2 systems that are not managed by Puppet.

Default value: `undef`

##### <a name="-simp_grub--report_unmanaged_users"></a>`report_unmanaged_users`

Data type: `Optional[Boolean]`

Report on any unmanaged users on GRUB 2 systems.

Default value: `undef`

##### <a name="-simp_grub--hash_rounds"></a>`hash_rounds`

Data type: `Optional[Integer[10]]`

The rounds to use when hashing the password for GRUB 2 systems.

Default value: `undef`

